      subroutine hec_cub
c
c cubic fit package
c
c initialise the package that performs a simple cubic fit to 
c find the max adc and time of multiple sample data
c
      implicit none
c      
      include'hec_par.inc'      !shared parameters
      include'hec_cub.inc'      !max adc and time for simple cubic fit
      include'hec_datacard.inc' !datacard values
      include'hec_geo.inc'      !geometry correspondence tables
c
c check that the time slice restriction on the peak finding is valid
c
      if (fl_cub .gt. 0) then
        if (t1_cub .le. 0 .or. t2_cub .gt. i_tim_used .or.
     +      t1_cub .gt. t2_cub) then
          t1_cub = 1
          t2_cub = i_tim_used
          print *, ' *** cubic fit peak finding window set to ', 
     +    t1_cub, t2_cub
        endif
      else
        t1_cub = 1
        t2_cub = i_tim_used
      endif
c
      end

