      subroutine hec_online_hiszoom(zoomflag,idcopy)
c
c This routine allows the user to zoom on a histogram
c by clicking on upper and lower bounds of region.
c
c it passes back a flag which says whether or not it has
c actually made at least one zoom before exiting
c
c basic logic stolen from paw h/zoom command
c in routine pawlib/paw/code/pahist.F
c
      implicit none
c
      logical zoomflag, exist
c
c local variables
c
      integer icmins,icmaxs,idhs, idcopy
      integer ntloc1,idh1,icx1,icy1,istat
      integer ntloc2,idh2,icx2,icy2
      integer icmin,icmax,id,idh
      real xloc1,yloc1
      real xloc2,yloc2
c
c hbook function
c
      logical hexist
      external hexist
c
c initialize variables
c istat = status returned from mouse click locator 
c idhs  = histogram id
c icmin, icmax = initial min and max histogram bin for first zoom
c
      zoomflag = .false.
      istat = 1
      idhs = 0
      icmins = 1
      icmaxs = 9999
c
c loop over zooms ***DISABLED
c The user can keep zooming on the same plot until they
c click the right mouse button (istat=0 from hploc)
c
ccc      do while (istat .ne. 0)
c
c histo numbers from the 2 clicks are initialized to zero
c
        idh1 = 0
        idh2 = 0
c
c loop over clicks until user clicks within histogram window
c
        do while (idh1 .eq. 0 .and. idh2 .eq. 0)
          call hploc(-1,ntloc1,xloc1,yloc1,idh1,icx1,icy1,istat)
          if (istat .eq. 0) return 
          call hploc(-1,ntloc2,xloc2,yloc2,idh2,icx2,icy2,istat)          
          if (istat .eq. 0) return 
        enddo
c
c consider different possible combinations of user clicks
c
c first click outside window, second click inside window
c
        if (idh1 .eq. 0 .and. idh2 .ne. 0) then
          idh = idh2
          icmin = icmins
          icmax = icx2
c
c first click in window, second not
c
        elseif (idh1 .ne. 0 .and. idh2 .eq. 0)then
          idh = idh1
          icmin = icx1
          icmax = icmaxs
c
c else both clicks were in the window
c
        else
          idh = idh1
          icmin = icx1
          icmax = icx2
        endif
c
        id = idh
c
c now do zoom plot making sure that maximum is greater than minimum
c
        if(icmin.lt.icmax)then
ccc          call hplzom(idh,' ',icmin,icmax)
c
c if histogram already exists from previous zoom, increment
c histo number by 1
c
          if (idh .ge. 1100000) then
            idcopy = idh + 1
            exist = hexist(idcopy)
            if (exist) call hdelet(idcopy)
          else
            exist = hexist(1100000)
            if (exist) call hdelet(1100000)
            idcopy = 1100000
          endif
c
c copy specified range of bins into new histogram and plot
c
          call hcopyr(idh,idcopy,' ',icmin,icmax,0,0,' ')
          call hplset('STAT',001111)
          call hplot(idcopy,' ',' ',0)
          icmins = icmin
          icmaxs = icmax
          zoomflag = .true.
c
c if minimum is greater than maximum, switch them
c
        else
ccc          call hplzom(idh,' ',icmax,icmin)
          if (idh .ge. 1100000) then
            idcopy = idh + 1
            exist = hexist(idcopy)
            if (exist) call hdelet(idcopy)
          else
            exist = hexist(1100000)
            if (exist) call hdelet(1100000)
            idcopy = 1100000
          endif
c
          call hcopyr(idh,idcopy,' ',icmax,icmin,0,0,' ')
          call hplset('STAT',001111)
          call hplot(1100000,' ',' ',0)
c
          icmins = icmax
          icmaxs = icmin
          zoomflag = .true.
        endif
c
        idhs = idh
        call pautit(' ')
c
c end loop over zooms
c
ccc      enddo
c
      return
      end
